[project]
name = "lzwcai-mcp-api-converter"
version = "0.2.5"
description = "基于FastMCP框架的动态API工具服务器，自动将企业业务API配置转换为MCP协议工具，支持多种传输方式、企业认证和参数验证，为AI助手提供标准化的业务接口访问能力。"
readme = "README.md"
requires-python = ">=3.10"
dependencies = [
    "dynaconf>=3.2.11",
    "httpx>=0.28.1",
    "jinja2==3.1.6",
    "mcp[cli]>=1.8.0",
    "requests>=2.31.0",
    "pypinyin>=0.54.0",
]


[tool.setuptools]
packages = {find = {where = ["."], include = ["lzwcai_mcp_api_converter*"]}}

[tool.setuptools.package-data]
"lzwcai_mcp_api_converter.src" = ["api_config.json"]

[project.scripts]
lzwcai-mcp-api-converter = "lzwcai_mcp_api_converter.src.create_mcp:run_main"

[tool.hatch.build.targets.wheel]
packages = ["lzwcai_mcp_api_converter"]

